Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Will FireFox4 work with a MacPro Book 10.4.11?

more options

I down loaded and had problem opening it. It said firefox4 could work with this OS.

All Replies (1)

more options

No, Firefox 4 needs 10.5 or higher.

http://www.mozilla.com/en-US/firefox/4.0/system-requirements/

Mac Operating Systems

  • Mac OS X 10.5
  • Mac OS X 10.6

Recommended Hardware

  • Macintosh computer with an Intel x86 processor
  • 512 MB of RAM
  • 200 MB hard drive space